library(faraway)
data(oatvar)
attach(oatvar)
xtabs(yield ~ variety + block)
stripchart(yield ~ variety,xlab="yield",ylab="variety")
stripchart(yield ~ block,xlab="yield",ylab="block")
interaction.plot(variety,block,yield)
interaction.plot(block,variety,yield)
g <- lm(yield ~ block+variety)
anova(g)
anova(lm(yield ~ block))
anova(lm(yield ~ variety+block))
anova(lm(yield ~ block+variety,subset=-1))
anova(lm(yield ~ variety+block,subset=-1))
drop1(lm(yield ~ variety+block,subset=-1),test="F")
plot(fitted(g),residuals(g),xlab="Fitted",ylab="Residuals")
abline(h=0)
qqnorm(residuals(g))
qqline(residuals(g))
varcoefs <-  c(0,coef(g)[6:12])
blockcoefs <-c(0,coef(g)[2:5])
ab <- rep(varcoefs,each=5)*rep(blockcoefs,8)
h <- update(g,.~.+ab)
anova(h)
gcrd <- lm(yield ~ variety)
summary(gcrd)$sig
summary(g)$sig
(47.047/33.867)^2
data(abrasion)
abrasion
matrix(abrasion$material,4,4)
with(abrasion,stripchart(wear ~ material,xlab="Material",vert=T))
with(abrasion,stripchart(wear ~ run,xlab="Run",vert=T))
with(abrasion,stripchart(wear ~ position,xlab="Position",vert=T))
g <- lm(wear ~ material+run+position, abrasion)
drop1(g,test="F")
summary(g)
qtukey(0.95,4,6)*5.53/sqrt(2)
scoefs <- c(0,coef(g)[2:4])
outer(scoefs,scoefs,"-")
gr <- lm(wear ~ material,abrasion)
(summary(gr)$sig/summary(g)$sig)^2
data(rabbit)
xtabs(gain ~ treat+block, rabbit)
attach(rabbit)
stripchart(gain ~ block,xlab="weight gain",ylab="block")
stripchart(gain ~ treat,xlab="weight gain",ylab="treat")
g <- lm(gain ~ block+treat,rabbit)
anova(g)
anova(lm(gain ~ treat+block,rabbit))
plot(fitted(g),residuals(g),xlab="Fitted",ylab="Residuals")
abline(h=0)
qqnorm(residuals(g),main="")
qqline(residuals(g))
coef(summary(g))
qtukey(0.95,6,15)
4.59*2.24/sqrt(2)
tcoefs <- c(0,coef(g)[11:15])
abs(outer(tcoefs,tcoefs,"-")) > 7.27
gr <- lm(gain ~ treat,rabbit)
(summary(gr)$sig/summary(g)$sig)^2
