library(faraway)
data(eco)
plot(income ~ usborn, data=eco, xlab="Proportion US born", ylab="Mean Annual Income")
g <- lm(income ~ usborn, eco)
summary(g)
plot(income ~ usborn, data=eco, xlab="Proportion US born", ylab="Mean Annual Income",xlim=c(0,1),ylim=c(15000,70000),xaxs="i")
abline(coef(g))
data(chredlin)
chredlin
summary(chredlin)
par(mfrow=c(2,3))
for(i in 1:6) stripchart(chredlin[,i],main=names(chredlin)[i],vertical=TRUE,method="jitter")
par(mfrow=c(1,1))
pairs(chredlin)
summary(lm(involact ~ race,chredlin))
plot(involact ~ race, chredlin)
abline(lm(involact ~ race, chredlin))
plot(fire ~ race, chredlin)
abline(lm(fire ~ race, chredlin))
g <- lm(involact ~ race + fire + theft + age + log(income), chredlin)
summary(g)
plot(fitted(g),residuals(g),xlab="Fitted",ylab="Residuals")
abline(h=0)
qqnorm(residuals(g))
qqline(residuals(g))
gi <- influence(g)
qqnorml(gi$coef[,4])
halfnorm(cooks.distance(g))
range(rstudent(g))
chredlin[c(6,24),]
g <- lm(involact ~ race + fire + theft + age + log(income),chredlin,subset=-c(6,24))
summary(g)
prplot(g,1)
prplot(g,2)
chreduc <- chredlin[-c(6,24),]
library(leaps)
b<-regsubsets(involact~race + fire + theft + age + log(income),force.in=1,data=chreduc)
(rs <- summary(b))
rs$adj
g <- lm(involact ~ race + fire + theft + age, chredlin, subset=-c(6,24))
summary(g)
galt <- lm(involact ~ race+fire+log(income),chredlin,subset=-c(6,24))
summary(galt)
galt <- lm(involact ~ race+fire,chredlin,subset=-c(6,24))
summary(galt)
g <- lm(involact ~ race + fire + theft + age, chredlin)
summary(g)
g <- lm(involact ~ race+fire+theft+age, subset=(side == "s"), chredlin)
summary(g)
g <- lm(involact ~ race+fire+theft+age, subset=(side == "n"), chredlin)
summary(g)
