library(faraway)
data(cars)
plot(dist ~ speed, cars,ylab="distance")
g <- lm(dist ~ speed, cars)
summary(g)
abline(g)
ge1 <- lm(dist ~ I(speed+rnorm(50)), cars)
coef(ge1)
abline(ge1,lty=2)
ge2 <- lm(dist ~ I(speed+2*rnorm(50)), cars)
coef(ge2)
abline(ge2,lty=3)
ge5 <- lm(dist ~ I(speed+5*rnorm(50)), cars)
coef(ge5)
abline(ge5,lty=4)
vv <- rep(1:5/10,each=1000)
slopes <- numeric(5000)
for(i in 1:5000) slopes[i] <- lm(dist ~ I(speed+sqrt(vv[i])*rnorm(50)), cars)$coef[2]
betas <- c(coef(g)[2],colMeans(matrix(slopes,nrow=1000)))
variances <- c(0,1:5/10)+0.5
plot(variances,betas,xlim=c(0,1),ylim=c(3.86,4))
gv <- lm(betas ~ variances)
coef(gv)
points(0,gv$coef[1],pch=3)
data(savings)
g <- lm(sr ~ pop15+pop75+dpi+ddpi,savings)
summary(g)
g <- lm(sr ~ pop15+pop75+I(dpi/1000)+ddpi,savings)
summary(g)
scsav <- data.frame(scale(savings))
g <- lm(sr ~ ., scsav)
summary(g)
data(seatpos)
g <- lm(hipcenter ~ ., seatpos)
summary(g)
round(cor(seatpos),3)
x <- model.matrix(g)[,-1]
e <- eigen(t(x) %*% x)
e$val
sqrt(e$val[1]/e$val)
summary(lm(x[,1] ~ x[,-1]))$r.squared
1/(1-0.49948)
vif(x)
g <- lm(hipcenter+10*rnorm(38) ~ ., seatpos)
summary(g)
round(cor(x[,3:8]),2)
g2 <- lm(hipcenter ~ Age + Weight + Ht, seatpos)
summary(g2)
