library(faraway)
data(coagulation)
coagulation
plot(coag ~ diet, coagulation, ylab="coagulation time")
with(coagulation, stripchart(coag ~ diet, vertical=TRUE, method="stack",xlab="diet",ylab="coagulation time"))
g <- lm(coag ~ diet, coagulation)
summary(g)
model.matrix(g) 
gi <- lm(coag ~ diet -1, coagulation)
summary(gi)
gnull <- lm(coag ~ 1, coagulation)
anova(gnull,gi)
options(contrasts=c("contr.sum","contr.poly"))
gs <- lm(coag ~ diet , coagulation)
summary(gs)
qqnorm(residuals(g))
plot(jitter(fitted(g)),residuals(g),xlab="Fitted",ylab="Residuals")
med <- with(coagulation,tapply(coag,diet,median))
ar <- with(coagulation,abs(coag -med[diet]))
anova(lm(ar ~ diet,coagulation))
qt(0.975,20)
c(5-2.086*1.53,5+2.086*1.53)
qtukey(0.95,4,20)/sqrt(2)
c(5-2.8*1.53,5+2.8*1.53)
TukeyHSD(aov(coag ~ diet, coagulation))
qt(1-.05/12,20)
